RawCodec (Grails 6.0.0)

Package: org.grails.encoder.impl

## [Java] Class RawCodec

- org.grails.encoder.impl.RawCodec

- All Implemented Interfaces and Traits:
    CodecFactory, Decoder, Encoder, StreamingEncoder

      public class RawCodec
      extends java.lang.Object
      implements CodecFactory, Decoder, Encoder, StreamingEncoder

  Codec that doesn't do any encoding or decoding. This is for marking some text as "safe" in the buffer. "safe" part of the buffer won't be encoded later if a codec is applied to the buffer

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CodecIdentifier` | `RAW_CODEC_IDENTIFIER` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `decode(java.lang.Object o)`
    `` | `public java.lang.Object` | `encode(java.lang.Object o)`
    `` | `public void` | `encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)`
    `` | `public CodecIdentifier` | `getCodecIdentifier()`
    `` | `public Decoder` | `getDecoder()`
    `` | `public Encoder` | `getEncoder()`
    `` | `public boolean` | `isApplyToSafelyEncoded()`
    `` | `public boolean` | `isEquivalent(CodecIdentifier other)`
    `` | `public boolean` | `isSafe()`
    `` | `public void` | `markEncoded(java.lang.CharSequence string)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### static final CodecIdentifier RAW_CODEC_IDENTIFIER

  - ### Method Detail

    - #### public java.lang.Object decode(java.lang.Object o)

    - #### public java.lang.Object encode(java.lang.Object o)

    - #### public void encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)

    - #### public CodecIdentifier getCodecIdentifier()

    - #### @java.lang.Override public Decoder getDecoder()

    - #### @java.lang.Override public Encoder getEncoder()

    - #### public boolean isApplyToSafelyEncoded()

    - #### public boolean isEquivalent(CodecIdentifier other)

    - #### public boolean isSafe()

    - #### public void markEncoded(java.lang.CharSequence string)